MetaCPAN::Client::Cve(3pm)

NAME
MetaCPAN::Client::Cve - A CVE data object

VERSION
version 2.044000

SYNOPSIS
    my $cve = $mcpan->cve('CPANSA-DBD-SQLite-2019-5018');

DESCRIPTION
A MetaCPAN CVE entity object.

ATTRIBUTES

  cpansa_id
Returns the CPAN Security Advisory Database id

  description
The CVE description

  distribution
The CPAN distribution

  reported
The reporting date of the CVE

  severity
The severity of the CVE

  affected_versions
Ranges of CPAN affected versions

  cves
List of CVEs

  references
List of references (URLs)

  releases
List of CPAN releases

  versions
Extracted list of existing CPAN releases

AUTHORS

•   Sawyer X <xsawyerx@cpan.org>

•   Mickey Nasriachi <mickey@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 by Sawyer X.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.